# Functor Contraction.Make

    module Make: functor (G : G) -> sig .. end

Parameters:

`G` | : | `G`

    val contract : (Contraction.G.E.t -> bool) -> Contraction.G.t -> Contraction.G.t

`contract p g` will perform edge contraction on the graph `g`. The edges for which the property `p` holds/is true will get contracted: The resulting graph will not have these edges; the start- and end-node of these edges will get united.